Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrReferenceValue

    java.lang.Object
      org.modeshape.graph.query.model.ReferenceValue
          org.modeshape.jcr.query.qom.JcrReferenceValue

All Implemented Interfaces:
  Serializable, Operand, DynamicOperand, LanguageObject, Visitable, ReferenceValue, JcrDynamicOperand

    public class JcrReferenceValue

extends ReferenceValue
implements ReferenceValue, JcrDynamicOperand

Implementation of the property value dynamic operand for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrReferenceValue(SelectorName selectorName, String propertyName)` Create a dynamic operand that evaluates to the values of a single reference property of the node identified by the selector.

Method Summary
`String` | `getPropertyName()` Get the name of the one reference property.
`String` | `getSelectorName()` Get the selector symbol upon which this operand applies.

Methods inherited from class org.modeshape.graph.query.model.ReferenceValue
`accept, equals, hashCode, includesWeakReferences, propertyName, selectorName, selectorNames, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.DynamicOperand
`selectorNames`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrReferenceValue

    public JcrReferenceValue(SelectorName selectorName,
                             String propertyName)

  Create a dynamic operand that evaluates to the values of a single reference property of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector
    `propertyName` - the name of the property
  Throws:
    `IllegalArgumentException` - if the selector name is null

Method Detail

### getPropertyName

    public String getPropertyName()

  Get the name of the one reference property.

  Specified by:
    `getPropertyName` in interface `ReferenceValue`
  Returns:
    the property name; or null if this operand applies to any reference property
  See Also:
    `PropertyValue.getPropertyName()`

### getSelectorName

    public String getSelectorName()

  Get the selector symbol upon which this operand applies.

  Specified by:
    `getSelectorName` in interface `ReferenceValue`
  Returns:
    the one selector names used by this operand; never null
  See Also:
    `PropertyValue.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.